Loading...
Searching...
No Matches
volk_32f_stddev_and_mean_32f_x2.h File Reference
`#include <inttypes.h>`
`#include <math.h>`
`#include <volk/volk_common.h>`
`#include <arm_neon.h>`
`#include <volk/volk_neon_intrinsics.h>`
`#include <volk/volk_sse_intrinsics.h>`
`#include <xmmintrin.h>`
`#include <immintrin.h>`
`#include <volk/volk_avx_intrinsics.h>`

Go to the source code of this file.

## Functions

static void | volk_32f_stddev_and_mean_32f_x2_generic (float *stddev, float *mean, const float *inputBuffer, unsigned int num_points)
static float | update_square_sum_1_val (const float SquareSum, const float Sum, const uint32_t len, const float val)
static float | add_square_sums (const float SquareSum0, const float Sum0, const float SquareSum1, const float Sum1, const uint32_t len)
static void | accrue_result (float *PartialSquareSums, float *PartialSums, const uint32_t NumberOfPartitions, const uint32_t PartitionLen)
static void | volk_32f_stddev_and_mean_32f_x2_neon (float *stddev, float *mean, const float *inputBuffer, unsigned int num_points)
static void | volk_32f_stddev_and_mean_32f_x2_u_sse (float *stddev, float *mean, const float *inputBuffer, unsigned int num_points)
static void | volk_32f_stddev_and_mean_32f_x2_u_avx (float *stddev, float *mean, const float *inputBuffer, unsigned int num_points)
static void | volk_32f_stddev_and_mean_32f_x2_a_sse (float *stddev, float *mean, const float *inputBuffer, unsigned int num_points)
static void | volk_32f_stddev_and_mean_32f_x2_a_avx (float *stddev, float *mean, const float *inputBuffer, unsigned int num_points)

## Function Documentation

## accrue_result()

void accrue_result | ( | float * | PartialSquareSums,
|  | float * | PartialSums,
|  | const uint32_t | NumberOfPartitions,
|  | const uint32_t | PartitionLen )

inline static

## add_square_sums()

float add_square_sums | ( | const float | SquareSum0,
|  | const float | Sum0,
|  | const float | SquareSum1,
|  | const float | Sum1,
|  | const uint32_t | len )

inline static

## update_square_sum_1_val()

float update_square_sum_1_val | ( | const float | SquareSum,
|  | const float | Sum,
|  | const uint32_t | len,
|  | const float | val )

inline static

## volk_32f_stddev_and_mean_32f_x2_a_avx()

void volk_32f_stddev_and_mean_32f_x2_a_avx | ( | float * | stddev,
|  | float * | mean,
|  | const float * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32f_stddev_and_mean_32f_x2_a_sse()

void volk_32f_stddev_and_mean_32f_x2_a_sse | ( | float * | stddev,
|  | float * | mean,
|  | const float * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32f_stddev_and_mean_32f_x2_generic()

void volk_32f_stddev_and_mean_32f_x2_generic | ( | float * | stddev,
|  | float * | mean,
|  | const float * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32f_stddev_and_mean_32f_x2_neon()

void volk_32f_stddev_and_mean_32f_x2_neon | ( | float * | stddev,
|  | float * | mean,
|  | const float * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32f_stddev_and_mean_32f_x2_u_avx()

void volk_32f_stddev_and_mean_32f_x2_u_avx | ( | float * | stddev,
|  | float * | mean,
|  | const float * | inputBuffer,
|  | unsigned int | num_points )

inline static

## volk_32f_stddev_and_mean_32f_x2_u_sse()

void volk_32f_stddev_and_mean_32f_x2_u_sse | ( | float * | stddev,
|  | float * | mean,
|  | const float * | inputBuffer,
|  | unsigned int | num_points )

inline static